Memory Stores
Create a memory item
Creates a memory item in the specified memory store.
Parâmetros do cabeçalho
Foundry-Features
enum
obrigatório
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parâmetros de caminho
name
string
obrigatório
The name of the memory store.
Parâmetros de consultas
api-version
string
obrigatório
The API version to use for this operation.
Corpo do Pedido
scope
string
obrigatório
The namespace that logically groups and isolates memories, such as a user ID.
content
string
obrigatório
The content of the memory.
kind
string | enum
obrigatório
Memory item kind.
enum
Respostas
The request has succeeded.
Corpo
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
obrigatório
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
obrigatório
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
obrigatório
The kind of the memory item.
Pedir
POST /memory_stores/{name}/items HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json